@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

html,body{
    height: 100vh;
    width: 100%;
}

form{
    height: 120px;
    display: flex;
    align-items: center;
    justify-content: center;

}

form input{
    width:600px;
    height: 60px;
    outline: 0;
    border: 0;
    border-top-left-radius: 30px;
    border-bottom-left-radius: 30px;
    padding-left: 50px;
    background-color: black;
    color: white;
}

form i{
    background-color: black;
    color: white;
    font-size: 30px;
    padding: 15px 0;
    cursor: pointer;
}

form button{
    height: 60px;
    width: 100px;
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
    border: none;
    background-color: black;
    color: white;
    cursor: pointer;
}

#show-more-btn{
    background-color: black;
    color: white;
    border: none;
    outline: none;
    border-radius: 10px;
    margin: 20px auto;
    height: 40px;
    width: 120px;
    cursor: pointer;
    display: none;
}

#search-result{
    display: flex;
    flex-direction: column;
    align-items: center;
}

#search-result .images{
    gap: 15px;
    max-width: 95%;
    columns: 5 340px;
}

.images .card{
    list-style: none;
    margin-bottom: 14x;
    border-radius: 4px;
}

.images img{
    width: 100%;
    border-radius: 20px;
}

#message{
    width: 100%;
    height: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
    /* background-color: pink; */
}

#message p{
    font-size: 50px;
    color: gray;
    /* padding-bottom: 120px; */
    line-height: 100px;
    animation: light 4s infinite ease-in-out;
}

@keyframes light{
    0%{
        color: rgba(128, 128, 128, 0);
    }
    20%{
        color: rgba(128, 128, 128, 0.259);
    }
    40%{
        color: rgba(128, 128, 128, 0.44);
    }
    60%{
        color: rgba(128, 128, 128, 0.655);
    }
    80%{
        color: rgba(128, 128, 128, 0.77);
    }
    100%{
        color: rgba(128, 128, 128, 0.934);
    }
}

input::content{
    background-color: BLACK;
}

@media (max-width: 700px){
    form input{
        width: 500px
    }
}

@media (max-width: 600px){
    form{
        padding: 0 20px;
    }
    form input{
        max-width: 600px;
    }
    form button{
        padding-right: 10px;
    }
    #message p{
        font-size: 30px;
    }
}
@media (max-width: 500px){
    form input{
        max-width: 200px;
        padding-left: 20px;
    }
    form button{
        padding-right: 10px;
    }
    #message p{
        font-size: 20px;
    }
}